Test the named credential against the target
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/{namedCredentialId}/actions/test
Instance credentials are tested against the credential target, payload is not needed here. Global credentials are tested against the target provided, it needs the request payload. When the user has only the view target privileges, this API will return 403 error as the user won't be able to test the credential. When user wants to test the credential before saving and the target is down, this API will return 503.
Request
Path Parameters
-
namedCredentialId(required): string
Id of a named credential
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThis consists of data required to test a named credential
Show Source
-
authenticationTestTargetName: string
Test target nameExample:
testhost.example.com -
authenticationTestTargetTypeName: string
Name of the test target typeExample:
host -
id: string
Unique identifier for a named credential. Also passed as path parameter.Example:
B0FBBE587FD201E2E0537013790A7D03
Response
204 Response
Named credential tested successfully
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message